<p align="center">
<img src="media/logo1.png" style="width:300px;height:300px;">
</p>

[![Run tests for personaldata](https://github.com/zosialaa/personaldata/actions/workflows/tests.yml/badge.svg)](https://github.com/zosialaa/personaldata/actions/workflows/tests.yml)

# Get personal data from chess.com and github.com

## Overview

The `personaldata` package is a Python library that allows you to access and work with data from chess.com and GitHub. It provides a simple and convenient way to retrieve information from these sources, making it easy to analyze and use the data in your projects.

## Features

- Retrieve data from chess.com and GitHub.
- Perform various operations on the data, such as filtering, sorting, and more.
- Easily integrate the data into your Python projects.

## Installation

You can install the `personaldata` package using pip:

```bash
pip install personaldata
```

## Tests

### Running Tests

To run tests for this project, you can use the following command with `pytest`:

```bash
pytest
```

## Contributing

If you want to contribute to the development of this package, please follow these steps:

1. Fork the repository on GitHub.
2. Clone your forked repository to your local machine.
3. Create a new branch for your feature or bug fix.
4. Make your changes and commit them.
5. Push your changes to your GitHub repository.
6. Create a pull request to the main repository.

## License

This package is licensed under the MIT License. See the LICENSE file for more details.
